<template>
	<view>
		<view class="head-box"></view>
		<uv-navbar autoBack :title="$t('pages_my.zlx_xieyi.title')" leftIconColor="#fff" :bgColor="bgColor" height="100rpx" :titleStyle="{color:'#fff'}"></uv-navbar>
		<view class="content" style="color: #fff!important;">
			<uv-parse :content="content"></uv-parse>
		</view>
	</view>
</template>

<script>
	export default{
		data() {
			return {
				bgColor:'transparent',
				content:''
			}
		},
		onPageScroll(e) {
			if(e.scrollTop > 50) {
				this.bgColor = '#49070c'
			}else{
				this.bgColor = 'transparent'
			}
		},
		onLoad() {
			this.content = this.$store.state.configList.vip_text
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #060504;
	}
</style>
<style lang="scss" scoped>
	.head-box {
		background: url('@/static/image/nav-bg.png') no-repeat;
		background-size: 100% 100%;
		width: 100%;
		height: 534rpx;
		position: absolute;
		z-index: -1;
	}
	.content {
		padding: 0 30rpx;
		padding-top: calc(var(--status-bar-height) + 110rpx);
	}
</style>